
Redmine - Defect #8317

Strip whitespace from integer custom field

2011-05-06 21:32 - Gerry Hawkins

Status: Closed Start date: 2011-05-06

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 3.3.9   

Resolution: Fixed Affected version:  

Description

In my custom field, which is an integer, if I enter "123 " it complains.

Can this be modified to strip trailing, and maybe leading?, white space?

I haven't testing the fields, like float, but suspect theymight have this issue as well.

(using 1.0.4 waiting for 1.2.0)

Related issues:

Related to Redmine - Defect #9588: Text fields used for data entry should tri... New 2011-11-16

Associated revisions

Revision 17625 - 2018-11-08 14:01 - Go MAEDA

Strip whitespace from integer custom field (#8317).

Patch by Go MAEDA.

Revision 17627 - 2018-11-11 00:02 - Go MAEDA

Merged r17625 from trunk to 3.4-stable (#8317).

Revision 17628 - 2018-11-11 01:50 - Go MAEDA

Merged r17625 from trunk to 3.3-stable (#8317).

History

#1 - 2013-02-15 12:37 - Thomas Kohler

In my opinion this is more an feature request than an defect because the field work like expected.

#2 - 2017-04-15 05:48 - Go MAEDA

- File 8317-strip-spaces-int-cf.diff added

I wrote a patch to fix this issue.

Float custom fields allow leading and trailing spaces. Integer custom fields should also behave in the same way for consistency.

#3 - 2017-04-16 04:31 - Go MAEDA

- Related to Defect #9588: Text fields used for data entry should trim whitespace. added

#4 - 2018-11-08 10:58 - Go MAEDA

- Target version set to 4.0.0

#5 - 2018-11-08 10:58 - Go MAEDA

- Target version changed from 4.0.0 to 4.1.0

#6 - 2018-11-08 14:03 - Go MAEDA

- Subject changed from in integer custom fields white space is not stripped off the end to Strip whitespace from integer custom field

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Priority changed from Low to Normal
- Target version changed from 4.1.0 to 3.3.9

- Resolution set to Fixed

Committed.

#7 - 2018-11-11 01:51 - Go MAEDA

- Status changed from Resolved to Closed

Committed to the stable branches.

Files

8317-strip-spaces-int-cf.diff 1.34 KB 2017-04-15 Go MAEDA
